<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_rela.html"><span>Related&#160;Functions</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li class="current"><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_g.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>getAddBookToLibraryRequest()
: <a class="el" href="class_app.html#ad076e2326cccb5f48449ce015f694792">App</a>
, <a class="el" href="class_book_adder_dialog.html#a4c2c660a8ab2119353fc5ef4eb98ed7f">BookAdderDialog</a>
</li>
<li>getAddBookToWishlistRequest()
: <a class="el" href="class_app.html#a079b8f04977200368a2869fdabecc526">App</a>
</li>
<li>getAddBookToWishlistRequestResult()
: <a class="el" href="class_book_manager_dialog.html#a0ffc7b999e1adac330a2e5ed08cc16c7">BookManagerDialog</a>
, <a class="el" href="class_user_books_widget.html#a2e3616dce32fae1ae33d045f8dcae96b">UserBooksWidget</a>
</li>
<li>getAddUserToLibraryRequest()
: <a class="el" href="class_app.html#a7d80b7c6b5980b9e5c93d544a08843d9">App</a>
</li>
<li>getAddUserToLibraryRequestResult()
: <a class="el" href="class_user_adder_dialog.html#a8ee1c31eabcb75007f9cfdaa8d8a17b5">UserAdderDialog</a>
</li>
<li>getAdmins()
: <a class="el" href="class_library.html#a4111051c1f0968c5663bb7fd0fef6f44">Library</a>
</li>
<li>getAppDirPath()
: <a class="el" href="class_i_o_stream.html#ac3e47a49464ceb37fcc7d8813883ba27">IOStream</a>
</li>
<li>getAuthDataFilePath()
: <a class="el" href="class_i_o_stream.html#a864edcac5f83b8eda0d707354dd72b84">IOStream</a>
</li>
<li>getBook()
: <a class="el" href="class_book_adder_dialog.html#a0bac0a00b992ed55d481a7e5b879df5e">BookAdderDialog</a>
, <a class="el" href="class_book_details_dialog.html#a1709550d11aeb5194c5448221a9acc72">BookDetailsDialog</a>
</li>
<li>getBooks()
: <a class="el" href="class_library.html#a77968b77aab5078fad2e3a8149f29c74">Library</a>
</li>
<li>getBooksDataFilePath()
: <a class="el" href="class_i_o_stream.html#ad0e283e64eadd042e415ee8a0a8bd793">IOStream</a>
</li>
<li>getCurrentUserAdminStatus()
: <a class="el" href="class_gui.html#ab7f4632d5033a2250398bed08a4af158">Gui</a>
</li>
<li>getCurrentUserRequest()
: <a class="el" href="class_app.html#a07a8fdd168baba27511a3ec921a57885">App</a>
</li>
<li>getData()
: <a class="el" href="class_smart_pointer.html#acb5b8c110c53721ef4081888af3157d7">SmartPointer&lt; T &gt;</a>
</li>
<li>getDatabase()
: <a class="el" href="class_o_auth.html#ac81443e761b766b218550a8e6b0b786b">OAuth</a>
</li>
<li>getDateOfBirth()
: <a class="el" href="class_person.html#a6958ae5c891dee615a0802bbefd7bc24">Person</a>
</li>
<li>getDescription()
: <a class="el" href="class_item.html#acd1f64b3368b3f7e8cfa808d5d685c08">Item</a>
</li>
<li>getDetailsAboutBookRequest()
: <a class="el" href="class_app.html#a1e6b27df393ed7162d82b3ceaa3d0036">App</a>
, <a class="el" href="class_book_details_dialog.html#aca2c15a4195ba11ef8933843f4da4597">BookDetailsDialog</a>
, <a class="el" href="class_book_manager_dialog.html#a5d4421c3218b0a2ee0a63e64fd60ff32">BookManagerDialog</a>
</li>
<li>getEditBookInLibraryRequest()
: <a class="el" href="class_app.html#a24a7d5ef7b7941dfd1004caf3901282c">App</a>
</li>
<li>getEditUserInLibraryRequest()
: <a class="el" href="class_app.html#aef852e147ecc4f6ce5a4a7f8489e2a3a">App</a>
</li>
<li>getEditUserRequest()
: <a class="el" href="class_app.html#ab6b8c9c3dacae9b5cf530383d9fa8e96">App</a>
</li>
<li>getEditUserRequestResult()
: <a class="el" href="class_user_editor_dialog.html#aea6e66956b46eabfe9e9280a656fb35d">UserEditorDialog</a>
</li>
<li>getEmail()
: <a class="el" href="class_user.html#a00601492ab5e28c33d67a0d49b432150">User</a>
</li>
<li>getExportWishlistFromFileRequest()
: <a class="el" href="class_app.html#aa45cdef0c89abdbbd7865d757e3fd6a2">App</a>
</li>
<li>getExportWishlistFromFileRequestResult()
: <a class="el" href="class_user_preferences_widget.html#a827e00f603a221714cff721cef48e06f">UserPreferencesWidget</a>
</li>
<li>getHash()
: <a class="el" href="class_o_auth_id.html#aded9ca21e04af643afac6bfef5803fe6">OAuthId</a>
</li>
<li>getID()
: <a class="el" href="class_item.html#a823b431f468a18e58ee2c808e5642a53">Item</a>
</li>
<li>getId()
: <a class="el" href="class_o_auth.html#a02baeb7bfc7c1d69fb8cf7dfa7f2cb98">OAuth</a>
</li>
<li>getImportWishlistFromFileRequest()
: <a class="el" href="class_app.html#a16170255cab4026e3a7b9a5807f8e2eb">App</a>
</li>
<li>getImportWishlistFromFileRequestResult()
: <a class="el" href="class_user_preferences_widget.html#ac96babf908d60b8713b1b48c2a4a8f36">UserPreferencesWidget</a>
</li>
<li>getInput()
: <a class="el" href="class_inline_label.html#a9d77cb1cace2bc960dc5c24b0aa2c5b5">InlineLabel</a>
</li>
<li>getItems()
: <a class="el" href="class_database.html#acb198e1ecf6f67b1e1cc3820dc05195f">Database&lt; T &gt;</a>
</li>
<li>getLoans()
: <a class="el" href="class_user.html#ac60139fa8d8dd4804936ffcb8bfdca45">User</a>
</li>
<li>getLoansRequest()
: <a class="el" href="class_app.html#ad6d0a410e062f4052e894a09f90d9632">App</a>
</li>
<li>getLoansRequestResult()
: <a class="el" href="class_user_books_widget.html#a9c40eb7f74e36ed66913746b961b6181">UserBooksWidget</a>
</li>
<li>getName()
: <a class="el" href="class_item.html#a116308353701daee0b4fc3e1d0cac104">Item</a>
, <a class="el" href="class_person.html#ac0c7e40e02bfa616e17a0c332dd248eb">Person</a>
</li>
<li>getPasswordHash()
: <a class="el" href="class_o_auth_id.html#a2d56afa3d3ba8274e84dcc731cc8ab49">OAuthId</a>
</li>
<li>getRemoveBookFromLibraryRequest()
: <a class="el" href="class_app.html#a1f898eff011d912bba9fff0b06db9576">App</a>
</li>
<li>getRemoveBookFromLibraryRequestResult()
: <a class="el" href="class_admin_books_library_manager.html#aea9487f053934ffb0b02d0255d99e2c4">AdminBooksLibraryManager</a>
</li>
<li>getRemoveBookFromWishlistRequest()
: <a class="el" href="class_app.html#a62be77312050a6eb5187c2a8bc660527">App</a>
</li>
<li>getRemoveBookFromWishlistRequestResult()
: <a class="el" href="class_book_manager_dialog.html#ae64cd9a8fc873e0f929ca812d15fa71d">BookManagerDialog</a>
, <a class="el" href="class_user_books_widget.html#aa4c58e7b93127fc7c81b52139c6f6cdc">UserBooksWidget</a>
</li>
<li>getRemoveUserFromLibraryRequest()
: <a class="el" href="class_app.html#ad26cb7d47bae0262adaece7e3f887658">App</a>
</li>
<li>getRemoveUserFromLibraryRequestResult()
: <a class="el" href="class_admin_users_library_manager.html#a43347bf727ba1230ed52a96e3f0bddad">AdminUsersLibraryManager</a>
</li>
<li>getReserveBookRequest()
: <a class="el" href="class_app.html#a37e7f5fefeab4fffa69fadd39fd90069">App</a>
</li>
<li>getReserveBookRequestResult()
: <a class="el" href="class_book_manager_dialog.html#aa07dfecbda63174fae341d299cceb05e">BookManagerDialog</a>
, <a class="el" href="class_user_books_widget.html#ad248f782ffd541b2fabad580bebd08b9">UserBooksWidget</a>
</li>
<li>getReturnBookRequest()
: <a class="el" href="class_app.html#abb37556b20fa5f30cb0a1630bd14d2e6">App</a>
</li>
<li>getReturnBookRequestResult()
: <a class="el" href="class_book_manager_dialog.html#ab3e2db384f11595a333f191d7acca2bf">BookManagerDialog</a>
, <a class="el" href="class_user_books_widget.html#aaa93429f9e3cb20b2d7db337a3f3041b">UserBooksWidget</a>
</li>
<li>getSearchBookRequest()
: <a class="el" href="class_app.html#a35d8eeb482a72b8bc517301df42f461b">App</a>
</li>
<li>getSearchBookRequestResult()
: <a class="el" href="class_admin_books_library_manager.html#ae137407472af6e304d231a3fc8f14f0a">AdminBooksLibraryManager</a>
, <a class="el" href="class_user_books_widget.html#a29a91260696bb515d9ea5e86298c97ee">UserBooksWidget</a>
</li>
<li>getSearchUserRequest()
: <a class="el" href="class_app.html#af964cb73a390693499bf310073ded36e">App</a>
</li>
<li>getSearchUserRequestResult()
: <a class="el" href="class_admin_users_library_manager.html#a3dd572fcdf6f3fc779b408b536f4c94c">AdminUsersLibraryManager</a>
</li>
<li>getSignInProcessIsComplete()
: <a class="el" href="class_gui.html#ae18107b33f585c3025c25f16bc2d5d67">Gui</a>
, <a class="el" href="class_login_dialog.html#a24d387fe91d0356ec558e8236af490dd">LoginDialog</a>
</li>
<li>getSignInRequest()
: <a class="el" href="class_app.html#a3547c0bf6c689478d9781dbc315c6fe2">App</a>
</li>
<li>getSignInRequestResult()
: <a class="el" href="class_sign_in_dialog.html#a63a8d41fe5c19b8c684f14bb5a27d9b7">SignInDialog</a>
</li>
<li>getSignUpRequest()
: <a class="el" href="class_app.html#a2dc1c243593f67504105bcd8f917018a">App</a>
</li>
<li>getSignUpRequestResult()
: <a class="el" href="class_sign_up_dialog.html#a76c9d2afaaad535ef6e1ed1a03ca037e">SignUpDialog</a>
</li>
<li>getSurname()
: <a class="el" href="class_person.html#a7f24e2654e52db9c1f1c368a13135ae1">Person</a>
</li>
<li>getUser()
: <a class="el" href="class_user_details_dialog.html#a8c7b51e1d31fe8cba8211732563f7112">UserDetailsDialog</a>
</li>
<li>getUserHash()
: <a class="el" href="class_o_auth_id.html#ad0de83b6ce1bc32fd31a9a691829998b">OAuthId</a>
</li>
<li>getUserRequest()
: <a class="el" href="class_app.html#af90b1b0b5e3d063f3b467d2ef2cdd1c4">App</a>
</li>
<li>getUserRequestResult()
: <a class="el" href="class_admin_users_library_manager.html#af35dcd502d2f2bc79201c8441a601c15">AdminUsersLibraryManager</a>
, <a class="el" href="class_user_preferences_widget.html#a6ffbebef5bedf908c95a448d6430d7fb">UserPreferencesWidget</a>
</li>
<li>getUsers()
: <a class="el" href="class_library.html#a973b2ab462d6c953575f0b2da93e4d96">Library</a>
</li>
<li>getUsersDataFilePath()
: <a class="el" href="class_i_o_stream.html#acd040bf507604b891aa1cae4d621aad7">IOStream</a>
</li>
<li>getWishList()
: <a class="el" href="class_user.html#a77b858ec6e7b02a3893613f9ba7fd95a">User</a>
</li>
<li>getWishlistRequest()
: <a class="el" href="class_app.html#a630f288d3e698df9c898b73abf26e4c1">App</a>
</li>
<li>getWishlistRequestResult()
: <a class="el" href="class_user_books_widget.html#a5df9e11a3816c8d47773ac840208a975">UserBooksWidget</a>
</li>
<li>Gui()
: <a class="el" href="class_gui.html#ab2655dbb6d3a91d7e90cb83dad6c0450">Gui</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
